Subject: [Lake] Fwd: Guidance on MTI algorithms in BCP 201 (was: Re: LAKE virtual interim: December 18th 2020, 1500-1700 UTC)

From: Rene Struik <[email-masked]>
Date: Tue, 25 Jan 2022 11:41:45 -0500

A simple reminder of what BCP 201 writes about MTI algorithms (as worded 
in my email of 13 months ago, on Dec 18, 2020).

Weblink to this email: 
https://mailarchive.ietf.org/arch/msg/lake/_sy7LSHk8idGAV_408JQOafi6LQ/

-------- Forwarded Message --------
Subject: 	Guidance on MTI algorithms in BCP 201 (was: Re: [Lake] LAKE 
virtual interim: December 18th 2020, 1500-1700 UTC)
Date: 	Fri, 18 Dec 2020 12:20:25 -0500
From: 	Rene Struik <[email-masked]>
To: 	Mališa Vučinić <[email-masked]>, [email-masked] 
<[email-masked]>

Dear colleagues:

BCP 201 [1] provides some guidance on mandatory-to-implement algorithms 
(and discusses crypto agility as well).

Section 3.1 [2] discusses how to choose MTI algorithms, where these

(1) MUST have a stable public specification and public documentation that has been well studied, giving rise to significant confidence;
(2) The selected algorithms need to be resistant to side-channel attacks;
(3) It should also meet the performance, power, and code size requirements on a wide variety of platforms.
In addition, inclusion of too many alternatives may add complexity to algorithm selection or negotiation.  Specification of too many alternatives will likely hamper
interoperability and may hamper security as well.  When specifying new algorithms or suites, protocol designers would be prudent to consider whether existing ones
can be deprecated.

Section 3.2 [3] makes the case that too many choices may be harmful.

I believe this guidance may be useful in determining whether specific cipher suites would be suitable "candidate" MTI algorithms or would disqualify.

Best regards, Rene

Ref:
[1] BCP 201, RFC 7696 - Guidelines for Cryptographic Algorithm Agility 
and Selecting Mandatory-to-Implement Algorithms (November 2015). See 
https://tools.ietf.org/pdf/rfc7696.pdf
[2] https://tools.ietf.org/html/rfc7696#section-3.1
[3] https://tools.ietf.org/html/rfc7696#section-3.2

On 2020-12-18 5:25 a.m., Mališa Vučinić wrote:
>
> Hi all,
>
> As a reminder, we will be holding our virtual interim today at 1500 
> UTC for two hours. The materials for the meeting are available in the 
> datatracker [1]. In preparation for the meeting, I also invite you to 
> go through the github issues [2]. Webex connection details are below.
>
> We are also looking for a note taker, please do volunteer by replying 
> to the chairs.
>
> Thanks and talk to you in 4 hours and 35 minutes!
>
> Mališa
>
> [1] https://datatracker.ietf.org/meeting/interim-2020-lake-04/session/lake
>
> [2] https://github.com/lake-wg/edhoc/issues
>
> *From: *Lake <[email-masked]> on behalf of Mališa Vučinić 
> <[email-masked]>
> *Date: *Tuesday 1 December 2020 at 19:20
> *To: *"[email-masked]" <[email-masked]>
> *Subject: *[Lake] LAKE virtual interim: December 18th 2020, 1500-1700 UTC
>
> Hi all,
>
> Since we, the chairs, were running late in scheduling the virtual 
> interim for mid-December and in order to honor the two-week notice of 
> the meeting, we decided to skip the usual poll and fix the date to:
>
> December 18^th 2020, 1500-1700 UTC.
>
> We wanted to prioritize holding the interim before the Christmas 
> holidays, as agreed during the IETF 109 meeting. We apologize for the 
> lack of poll this time and we hope that you will still be able to make 
> it. We will post the minutes and the recording, in case you may not be 
> able to attend, and also confirm any decision made during the meeting 
> on the mailing list.
>
> The main item on the agenda will be going through the remaining EDHOC 
> issues, which were not covered during the IETF 109 meeting. If you’d 
> like to request a slot to discuss a different topic, please send an 
> email to the chairs at [email-masked] by December 8^th .
>
> You will find the information to join the Webex session on the 18^th 
> below.
>
> ===============================================
>
> interim-2020-lake-04
>
> Hosted by LAKE WG
>
> https://ietf.webex.com/ietf/j.php?MTID=mcb0c53b04465bc99ed249b6454b29663
>
> Friday, Dec 18, 2020 10:00 am | 2 hours | (UTC-05:00) Eastern Time (US 
> & Canada)
>
> Meeting number: 178 780 8136
>
> Password: Ajr7wC4WKT7
>
> 08c33c178f624890802c707e48c8da81
>
> Join by video system
>
> Dial [email-masked]
>
> You can also dial 173.243.2.68 and enter your meeting number.
>
> Join by phone
>
> 1-650-479-3208 Call-in toll number (US/Canada)
>
> Access code: 178 780 8136
>
> -- Lake mailing list [email-masked] 
> https://www.ietf.org/mailman/listinfo/lake
>
>

-- 
email:[email-masked]  | Skype: rstruik
cell: +1 (647) 867-5658 | US: +1 (415) 287-3867